Bug 166724 - [re] if_re watchdog timeout
Summary: [re] if_re watchdog timeout
Status: In Progress
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 11.1-RELEASE
Hardware: Any Any
: Normal Affects Many People
Assignee: Pyun YongHyeon
URL:
Keywords: needs-patch
Depends on:
Blocks: 227979
  Show dependency treegraph
 
Reported: 2012-04-07 14:30 UTC by Jack
Modified: 2019-07-26 18:30 UTC (History)
16 users (show)

See Also:


Attachments
pciconf (6.94 KB, text/plain)
2016-08-01 16:31 UTC, sasamotikomi
no flags Details
System load average and usage - monitorix (23.03 KB, image/png)
2018-09-03 14:30 UTC, zjk
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jack 2012-04-07 14:30:00 UTC
When transferring large files over the network using the re driver

Apr  7 04:06:45 upstairs kernel: re0: watchdog timeout
Apr  7 04:06:45 upstairs kernel: re0: link state changed to DOWN
Apr  7 04:06:49 upstairs kernel: re0: link state changed to UP
Apr  7 04:06:54 upstairs kernel: re0: watchdog timeout
Apr  7 04:06:54 upstairs kernel: re0: link state changed to DOWN

dmesg and pciconf -lv output below:

Copyright (c) 1992-2012 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
        The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 9.0-STABLE #0 r233868: Wed Apr  4 04:46:51 PDT 2012
    jack@upstairs.jack.com:/usr/obj/usr/src/sys/UPSTAIRS amd64
CPU: AMD FX(tm)-4100 Quad-Core Processor             (4027.00-MHz K8-class CPU)
  Origin = "AuthenticAMD"  Id = 0x600f12  Family = 15  Model = 1  Stepping = 2
  Features=0x178bfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,MMX,FXSR,SSE,SSE2,HTT>
  Features2=0x1e98220b<SSE3,PCLMULQDQ,MON,SSSE3,CX16,SSE4.1,SSE4.2,POPCNT,AESNI,XSAVE,OSXSAVE,AVX>
  AMD Features=0x2e500800<SYSCALL,NX,MMX+,FFXSR,Page1GB,RDTSCP,LM>
  AMD Features2=0x1c9bfff<LAHF,CMP,SVM,ExtAPIC,CR8,ABM,SSE4A,MAS,Prefetch,OSVW,IBS,XOP,SKINIT,WDT,LWP,FMA4,NodeId,Topology,<b23>,<b24>>
  TSC: P-state invariant, performance statistics
real memory  = 17179869184 (16384 MB)
avail memory = 16484421632 (15720 MB)
Event timer "LAPIC" quality 400
ACPI APIC Table: <GBT    GBTUACPI>
FreeBSD/SMP: Multiprocessor System Detected: 4 CPUs
FreeBSD/SMP: 1 package(s) x 4 core(s)
 cpu0 (BSP): APIC ID:  0
 cpu1 (AP): APIC ID:  1
 cpu2 (AP): APIC ID:  2
 cpu3 (AP): APIC ID:  3
ioapic0: Changing APIC ID to 8
ioapic0 <Version 2.1> irqs 0-23 on motherboard
kbd1 at kbdmux0
acpi0: <GBT GBTUACPI> on motherboard
acpi0: Power Button (fixed)
acpi0: reservation of 0, a0000 (3) failed
acpi0: reservation of 100000, bfca0000 (3) failed
cpu0: <ACPI CPU> on acpi0
cpu1: <ACPI CPU> on acpi0
cpu2: <ACPI CPU> on acpi0
cpu3: <ACPI CPU> on acpi0
attimer0: <AT timer> port 0x40-0x43 on acpi0
Timecounter "i8254" frequency 1193182 Hz quality 0
Event timer "i8254" frequency 1193182 Hz quality 100
hpet0: <High Precision Event Timer> iomem 0xfed00000-0xfed003ff irq 0,8 on acpi0
Timecounter "HPET" frequency 14318180 Hz quality 950
atrtc0: <AT realtime clock> port 0x70-0x73 on acpi0
Event timer "RTC" frequency 32768 Hz quality 0
Timecounter "ACPI-safe" frequency 3579545 Hz quality 850
acpi_timer0: <32-bit timer at 3.579545MHz> port 0x808-0x80b on acpi0
acpi_button0: <Power Button> on acpi0
pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pci0: <ACPI PCI bus> on pcib0
pci0: <base peripheral> at device 0.2 (no driver attached)
pcib1: <ACPI PCI-PCI bridge> irq 18 at device 2.0 on pci0
pci1: <ACPI PCI bus> on pcib1
vgapci0: <VGA-compatible display> port 0xdf00-0xdf7f mem 0xfb000000-0xfbffffff,0xc0000000-0xcfffffff,0xde000000-0xdfffffff irq 18 at device 0.0 on pci1
nvidia0: <GeForce 210> on vgapci0
vgapci0: child nvidia0 requested pci_enable_io
vgapci0: child nvidia0 requested pci_enable_io
hdac0: <NVIDIA (0x0be3) HDA Controller> mem 0xfcffc000-0xfcffffff irq 19 at device 0.1 on pci1
pcib2: <ACPI PCI-PCI bridge> irq 16 at device 4.0 on pci0
pci2: <ACPI PCI bus> on pcib2
xhci0: <XHCI (generic) USB 3.0 controller> mem 0xfd7f8000-0xfd7fffff irq 16 at device 0.0 on pci2
xhci0: 64 byte context size.
usbus0 on xhci0
pcib3: <ACPI PCI-PCI bridge> irq 17 at device 9.0 on pci0
pci3: <ACPI PCI bus> on pcib3
re0: <RealTek 8168/8111 B/C/CP/D/DP/E/F PCIe Gigabit Ethernet> port 0xee00-0xeeff mem 0xfd8ff000-0xfd8fffff,0xfd8f8000-0xfd8fbfff irq 17 at device 0.0 on pci3
re0: Using 1 MSI-X message
re0: Chip rev. 0x2c800000
re0: MAC rev. 0x00000000
miibus0: <MII bus> on re0
rgephy0: <RTL8169S/8110S/8211 1000BASE-T media interface> PHY 1 on miibus0
rgephy0:  none, 10baseT, 10baseT-FDX, 10baseT-FDX-flow, 100baseTX, 100baseTX-FDX, 100baseTX-FDX-flow, 1000baseT, 1000baseT-master, 1000baseT-FDX, 1000baseT-FDX-master, 1000baseT-FDX-flow, 1000baseT-FDX-flow-master, auto, auto-flow
re0: Ethernet address: 50:e5:49:53:61:98
ahci0: <ATI IXP700 AHCI SATA controller> port 0xff00-0xff07,0xfe00-0xfe03,0xfd00-0xfd07,0xfc00-0xfc03,0xfb00-0xfb0f mem 0xfdfff000-0xfdfff3ff irq 19 at device 17.0 on pci0
ahci0: AHCI v1.20 with 6 6Gbps ports, Port Multiplier supported
ahcich0: <AHCI channel> at channel 0 on ahci0
ahcich1: <AHCI channel> at channel 1 on ahci0
ahcich2: <AHCI channel> at channel 2 on ahci0
ahcich3: <AHCI channel> at channel 3 on ahci0
ahcich4: <AHCI channel> at channel 4 on ahci0
ahcich5: <AHCI channel> at channel 5 on ahci0
ohci0: <OHCI (generic) USB controller> mem 0xfdffe000-0xfdffefff irq 18 at device 18.0 on pci0
usbus1 on ohci0
ehci0: <EHCI (generic) USB 2.0 controller> mem 0xfdffd000-0xfdffd0ff irq 17 at device 18.2 on pci0
usbus2: EHCI version 1.0
usbus2 on ehci0
ohci1: <OHCI (generic) USB controller> mem 0xfdffc000-0xfdffcfff irq 18 at device 19.0 on pci0
usbus3 on ohci1
ehci1: <EHCI (generic) USB 2.0 controller> mem 0xfdffb000-0xfdffb0ff irq 17 at device 19.2 on pci0
usbus4: EHCI version 1.0
usbus4 on ehci1
pci0: <serial bus, SMBus> at device 20.0 (no driver attached)
hdac1: <ATI SB600 HDA Controller> mem 0xfdff4000-0xfdff7fff irq 16 at device 20.2 on pci0
isab0: <PCI-ISA bridge> at device 20.3 on pci0
isa0: <ISA bus> on isab0
pcib4: <ACPI PCI-PCI bridge> at device 20.4 on pci0
pci4: <ACPI PCI bus> on pcib4
ohci2: <OHCI (generic) USB controller> mem 0xfdffa000-0xfdffafff irq 18 at device 20.5 on pci0
usbus5 on ohci2
pcib5: <ACPI PCI-PCI bridge> at device 21.0 on pci0
pci5: <ACPI PCI bus> on pcib5
ohci3: <OHCI (generic) USB controller> mem 0xfdff9000-0xfdff9fff irq 18 at device 22.0 on pci0
usbus6 on ohci3
ehci2: <EHCI (generic) USB 2.0 controller> mem 0xfdff8000-0xfdff80ff irq 17 at device 22.2 on pci0
usbus7: EHCI version 1.0
usbus7 on ehci2
atkbdc0: <Keyboard controller (i8042)> port 0x60,0x64 irq 1 on acpi0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
kbd0 at atkbd0
atkbd0: [GIANT-LOCKED]
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=0x300>
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
Timecounters tick every 1.000 msec
vboxdrv: fAsync=0 offMin=0x4c9 offMax=0x863
IP Filter: v4.1.28 initialized.  Default = pass all, Logging = disabled
ipfw2 (+ipv6) initialized, divert enabled, nat enabled, rule-based forwarding enabled, default to accept, logging disabled
DUMMYNET 0 with IPv6 initialized (100409)
load_dn_sched dn_sched FIFO loaded
load_dn_sched dn_sched PRIO loaded
load_dn_sched dn_sched QFQ loaded
load_dn_sched dn_sched RR loaded
load_dn_sched dn_sched WF2Q+ loaded
hdacc0: <NVIDIA GT21x HDA CODEC> at cad 0 on hdac0
hdaa0: <NVIDIA GT21x HDA CODEC Audio Function Group> at nid 1 on hdacc0
pcm0: <NVIDIA GT21x HDA CODEC PCM (HDMI/DP 8ch)> at nid 5 on hdaa0
hdacc1: <NVIDIA GT21x HDA CODEC> at cad 1 on hdac0
hdaa1: <NVIDIA GT21x HDA CODEC Audio Function Group> at nid 1 on hdacc1
pcm1: <NVIDIA GT21x HDA CODEC PCM (HDMI/DP 8ch)> at nid 5 on hdaa1
hdacc2: <NVIDIA GT21x HDA CODEC> at cad 2 on hdac0
hdaa2: <NVIDIA GT21x HDA CODEC Audio Function Group> at nid 1 on hdacc2
pcm2: <NVIDIA GT21x HDA CODEC PCM (HDMI/DP 8ch)> at nid 5 on hdaa2
hdacc3: <NVIDIA GT21x HDA CODEC> at cad 3 on hdac0
hdaa3: <NVIDIA GT21x HDA CODEC Audio Function Group> at nid 1 on hdacc3
pcm3: <NVIDIA GT21x HDA CODEC PCM (HDMI/DP 8ch)> at nid 5 on hdaa3
hdacc4: <Realtek ALC889 HDA CODEC> at cad 0 on hdac1
hdaa4: <Realtek ALC889 HDA CODEC Audio Function Group> at nid 1 on hdacc4
pcm4: <Realtek ALC889 HDA CODEC PCM (Rear Analog 7.1/2.0)> at nid 20,22,21,23 and 24,26 on hdaa4
pcm5: <Realtek ALC889 HDA CODEC PCM (Front Analog)> at nid 27 and 25 on hdaa4
pcm6: <Realtek ALC889 HDA CODEC PCM (Rear Digital)> at nid 30 on hdaa4
pcm7: <Realtek ALC889 HDA CODEC PCM (Onboard Digital)> at nid 17 on hdaa4
usbus0: 5.0Gbps Super Speed USB v3.0
usbus1: 12Mbps Full Speed USB v1.0
usbus2: 480Mbps High Speed USB v2.0
usbus3: 12Mbps Full Speed USB v1.0
usbus4: 480Mbps High Speed USB v2.0
usbus5: 12Mbps Full Speed USB v1.0
usbus6: 12Mbps Full Speed USB v1.0
usbus7: 480Mbps High Speed USB v2.0
ugen0.1: <0x1b6f> at usbus0
uhub0: <0x1b6f XHCI root HUB, class 9/0, rev 3.00/1.00, addr 1> on usbus0
ugen1.1: <ATI> at usbus1
uhub1: <ATI OHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus1
ugen2.1: <ATI> at usbus2
uhub2: <ATI EHCI root HUB, class 9/0, rev 2.00/1.00, addr 1> on usbus2
ugen3.1: <ATI> at usbus3
uhub3: <ATI OHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus3
ugen4.1: <ATI> at usbus4
uhub4: <ATI EHCI root HUB, class 9/0, rev 2.00/1.00, addr 1> on usbus4
ugen5.1: <ATI> at usbus5
uhub5: <ATI OHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus5
ugen6.1: <ATI> at usbus6
uhub6: <ATI OHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus6
ugen7.1: <ATI> at usbus7
uhub7: <ATI EHCI root HUB, class 9/0, rev 2.00/1.00, addr 1> on usbus7
ada0 at ahcich0 bus 0 scbus0 target 0 lun 0
ada0: <WDC WD6401AALS-00E8B0 05.00K05> ATA-8 SATA 2.x device
ada0: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada0: Command Queueing enabled
ada0: 610480MB (1250263728 512 byte sectors: 16H 63S/T 16383C)
ada0: Previously was known as ad4
ada1 at ahcich1 bus 0 scbus1 target 0 lun 0
ada1: <WDC WD3000HLFS-01G6U4 04.04V06> ATA-8 SATA 2.x device
ada1: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada1: Command Queueing enabled
ada1: 286168MB (586072368 512 byte sectors: 16H 63S/T 16383C)
ada1: Previously was known as ad6
SMP: AP CPU #1 Launched!
cd0 at ahcich3 bus 0 scbus3 target 0 lun 0
cd0: <HL-DT-ST DVD-ROM DH20N A102> Removable CD-ROM SCSI-0 device 
SMP: AP CPU #2 Launched!
cd0: 150.000MB/s transfers (SATA 1.x, UDMA5, ATAPI 12bytes, PIO 8192bytes)
cd0: Attempt to query device size failed: NOT READY, Medium not present - tray closed
SMP: AP CPU #3 Launched!
uhub5: 2 ports with 2 removable, self powered
uhub6: 4 ports with 4 removable, self powered
uhub1: 5 ports with 5 removable, self powered
uhub3: 5 ports with 5 removable, self powered
uhub0: 4 ports with 4 removable, self powered
Root mount waiting for: usbus7 usbus4 usbus2
Root mount waiting for: usbus7 usbus4 usbus2
uhub7: 4 ports with 4 removable, self powered
uhub2: 5 ports with 5 removable, self powered
uhub4: 5 ports with 5 removable, self powered
Trying to mount root from ufs:/dev/ada0p2 [rw]...
ugen3.2: <Logitech> at usbus3
ums0: <Logitech USB-PS2 Optical Mouse, class 0/0, rev 2.00/27.30, addr 2> on usbus3
ums0: 8 buttons and [XYZT] coordinates ID=0


hostb0@pci0:0:0:0:      class=0x060000 card=0x5a141002 chip=0x5a141002 rev=0x02 hdr=0x00
    vendor     = 'ATI Technologies Inc'
    device     = 'RD890 PCI to PCI bridge (external gfx0 port B)'
    class      = bridge
    subclass   = HOST-PCI
none0@pci0:0:0:2:       class=0x080600 card=0x5a231002 chip=0x5a231002 rev=0x00 hdr=0x00
    vendor     = 'ATI Technologies Inc'
    class      = base peripheral
pcib1@pci0:0:2:0:       class=0x060400 card=0x5a141002 chip=0x5a161002 rev=0x00 hdr=0x01
    vendor     = 'ATI Technologies Inc'
    device     = 'RD890 PCI to PCI bridge (PCI express gpp port B)'
    class      = bridge
    subclass   = PCI-PCI
pcib2@pci0:0:4:0:       class=0x060400 card=0x5a141002 chip=0x5a181002 rev=0x00 hdr=0x01
    vendor     = 'ATI Technologies Inc'
    device     = 'RD890 PCI to PCI bridge (PCI express gpp port D)'
    class      = bridge
    subclass   = PCI-PCI
pcib3@pci0:0:9:0:       class=0x060400 card=0x5a141002 chip=0x5a1c1002 rev=0x00 hdr=0x01
    vendor     = 'ATI Technologies Inc'
    device     = 'RD890 PCI to PCI bridge (PCI express gpp port H)'
    class      = bridge
    subclass   = PCI-PCI
ahci0@pci0:0:17:0:      class=0x010601 card=0xb0021458 chip=0x43911002 rev=0x40 hdr=0x00
    vendor     = 'ATI Technologies Inc'
    device     = 'SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]'
    class      = mass storage
    subclass   = SATA
ohci0@pci0:0:18:0:      class=0x0c0310 card=0x50041458 chip=0x43971002 rev=0x00 hdr=0x00
    vendor     = 'ATI Technologies Inc'
    device     = 'SB7x0/SB8x0/SB9x0 USB OHCI0 Controller'
    class      = serial bus
    subclass   = USB
ehci0@pci0:0:18:2:      class=0x0c0320 card=0x50041458 chip=0x43961002 rev=0x00 hdr=0x00
    vendor     = 'ATI Technologies Inc'
    device     = 'SB7x0/SB8x0/SB9x0 USB EHCI Controller'
    class      = serial bus
    subclass   = USB
ohci1@pci0:0:19:0:      class=0x0c0310 card=0x50041458 chip=0x43971002 rev=0x00 hdr=0x00
    vendor     = 'ATI Technologies Inc'
    device     = 'SB7x0/SB8x0/SB9x0 USB OHCI0 Controller'
    class      = serial bus
    subclass   = USB
ehci1@pci0:0:19:2:      class=0x0c0320 card=0x50041458 chip=0x43961002 rev=0x00 hdr=0x00
    vendor     = 'ATI Technologies Inc'
    device     = 'SB7x0/SB8x0/SB9x0 USB EHCI Controller'
    class      = serial bus
    subclass   = USB
none1@pci0:0:20:0:      class=0x0c0500 card=0x00000000 chip=0x43851002 rev=0x42 hdr=0x00
    vendor     = 'ATI Technologies Inc'
    device     = 'SBx00 SMBus Controller'
    class      = serial bus
    subclass   = SMBus
hdac1@pci0:0:20:2:      class=0x040300 card=0xa0021458 chip=0x43831002 rev=0x40 hdr=0x00
    vendor     = 'ATI Technologies Inc'
    device     = 'SBx00 Azalia (Intel HDA)'
    class      = multimedia
    subclass   = HDA
isab0@pci0:0:20:3:      class=0x060100 card=0x439d1002 chip=0x439d1002 rev=0x40 hdr=0x00
    vendor     = 'ATI Technologies Inc'
    device     = 'SB7x0/SB8x0/SB9x0 LPC host controller'
    class      = bridge
    subclass   = PCI-ISA
pcib4@pci0:0:20:4:      class=0x060401 card=0x00000000 chip=0x43841002 rev=0x40 hdr=0x01
    vendor     = 'ATI Technologies Inc'
    device     = 'SBx00 PCI to PCI Bridge'
    class      = bridge
    subclass   = PCI-PCI
ohci2@pci0:0:20:5:      class=0x0c0310 card=0x50041458 chip=0x43991002 rev=0x00 hdr=0x00
    vendor     = 'ATI Technologies Inc'
    device     = 'SB7x0/SB8x0/SB9x0 USB OHCI2 Controller'
    class      = serial bus
    subclass   = USB
pcib5@pci0:0:21:0:      class=0x060400 card=0x00001002 chip=0x43a01002 rev=0x00 hdr=0x01
    vendor     = 'ATI Technologies Inc'
    device     = 'SB700/SB800 PCI to PCI bridge (PCIE port 0)'
    class      = bridge
    subclass   = PCI-PCI
ohci3@pci0:0:22:0:      class=0x0c0310 card=0x50041458 chip=0x43971002 rev=0x00 hdr=0x00
    vendor     = 'ATI Technologies Inc'
    device     = 'SB7x0/SB8x0/SB9x0 USB OHCI0 Controller'
    class      = serial bus
    subclass   = USB
ehci2@pci0:0:22:2:      class=0x0c0320 card=0x50041458 chip=0x43961002 rev=0x00 hdr=0x00
    vendor     = 'ATI Technologies Inc'
    device     = 'SB7x0/SB8x0/SB9x0 USB EHCI Controller'
    class      = serial bus
    subclass   = USB
hostb1@pci0:0:24:0:     class=0x060000 card=0x00000000 chip=0x16001022 rev=0x00 hdr=0x00
    vendor     = 'Advanced Micro Devices [AMD]'
    device     = 'Family 15h Processor Function 0'
    class      = bridge
    subclass   = HOST-PCI
hostb2@pci0:0:24:1:     class=0x060000 card=0x00000000 chip=0x16011022 rev=0x00 hdr=0x00
    vendor     = 'Advanced Micro Devices [AMD]'
    device     = 'Family 15h Processor Function 1'
    class      = bridge
    subclass   = HOST-PCI
hostb3@pci0:0:24:2:     class=0x060000 card=0x00000000 chip=0x16021022 rev=0x00 hdr=0x00
    vendor     = 'Advanced Micro Devices [AMD]'
    device     = 'Family 15h Processor Function 2'
    class      = bridge
    subclass   = HOST-PCI
hostb4@pci0:0:24:3:     class=0x060000 card=0x00000000 chip=0x16031022 rev=0x00 hdr=0x00
    vendor     = 'Advanced Micro Devices [AMD]'
    device     = 'Family 15h Processor Function 3'
    class      = bridge
    subclass   = HOST-PCI
hostb5@pci0:0:24:4:     class=0x060000 card=0x00000000 chip=0x16041022 rev=0x00 hdr=0x00
    vendor     = 'Advanced Micro Devices [AMD]'
    device     = 'Family 15h Processor Function 4'
    class      = bridge
    subclass   = HOST-PCI
hostb6@pci0:0:24:5:     class=0x060000 card=0x00000000 chip=0x16051022 rev=0x00 hdr=0x00
    vendor     = 'Advanced Micro Devices [AMD]'
    device     = 'Family 15h Processor Function 5'
    class      = bridge
    subclass   = HOST-PCI
vgapci0@pci0:1:0:0:     class=0x030000 card=0x515819da chip=0x0a6510de rev=0xa2 hdr=0x00
    vendor     = 'nVidia Corporation'
    device     = 'GT218 [GeForce 210]'
    class      = display
    subclass   = VGA
hdac0@pci0:1:0:1:       class=0x040300 card=0x515819da chip=0x0be310de rev=0xa1 hdr=0x00
    vendor     = 'nVidia Corporation'
    device     = 'High Definition Audio Controller'
    class      = multimedia
    subclass   = HDA
xhci0@pci0:2:0:0:       class=0x0c0330 card=0x50071458 chip=0x70231b6f rev=0x01 hdr=0x00
    class      = serial bus
    subclass   = USB
re0@pci0:3:0:0: class=0x020000 card=0xe0001458 chip=0x816810ec rev=0x06 hdr=0x00
    vendor     = 'Realtek Semiconductor Co., Ltd.'
    device     = 'RTL8111/8168B PCI Express Gigabit Ethernet controller'
    class      = network
    subclass   = ethernet

How-To-Repeat: FTP transfer a file over 20G at gigabit connection for a while
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2012-04-07 21:34:20 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-net

Over to maintainer(s).
Comment 2 Pyun YongHyeon freebsd_committer 2012-04-23 02:25:58 UTC
State Changed
From-To: open->feedback

Would you show me the output of "ifconfig re0"? 
Just sending large files from your box through re0 is enough to 
reproduce the issue? 


Comment 3 Pyun YongHyeon freebsd_committer 2012-04-23 02:25:58 UTC
Responsible Changed
From-To: freebsd-net->yongari

Take.
Comment 4 Christos Chatzaras 2015-02-28 11:43:23 UTC
I have the same problem with Realtek with the same chip:

re0@pci0:2:0:0: class=0x020000 card=0x78231462 chip=0x816810ec rev=0x0c hdr=0x00


And ifconfig:

re0: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
        options=8209b<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,VLAN_HWCSUM,WOL_MAGIC,LINKSTATE>
        ether 44:8a:5b:9b:98:7f
        inet xxx.xxx.xxx.xxx netmask 0xffffffc0 broadcast xxx.xxx.xxx.xxx
        inet6 xxx::xxx:xxx:xxx%re0 prefixlen 64 scopeid 0x3
        nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
        media: Ethernet autoselect (1000baseT <full-duplex,master>)
        status: active
Comment 5 freebsd 2015-11-21 12:01:36 UTC
I can confirm this still happens in 10.1, with following chipset:

re0@pci0:3:0:0:	class=0x020000 card=0x81681849 chip=0x816810ec rev=0x11 hdr=0x00

re0: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
	options=8209b<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,VLAN_HWCSUM,WOL_MAGIC,LINKSTATE>
	ether XXXX
	inet6 XXXX 
	inet XXXX netmask XXXX broadcast XXXX 
	nd6 options=23<PERFORMNUD,ACCEPT_RTADV,AUTO_LINKLOCAL>
	media: Ethernet autoselect (1000baseT <full-duplex>)
	status: active


@yongari: anything I can do to help debug with this? PM me.
Comment 6 Pyun YongHyeon freebsd_committer 2015-11-23 05:42:18 UTC
(In reply to freebsd from comment #5)
pciconf(8) output for RealTek NICs are not useful to identify exact
controller type because all RealTek PCI NICs use the name device id.
Could you show us dmesg output and "devinfo -rv" output?
If you're able to reproduce watchdog timeouts at will could you let
us know how to trigger that?
Comment 7 freebsd 2015-11-24 08:23:02 UTC
My setup, an iMac running OSX 10.11.1 as client, connected to a server running FreeBSD 10.1 in a ASRock N3700-ITX, over a Netgear GS108T.

To trigger the timeout, I copy a big data set (100G+) from the client to the server over NFS. It normally happens after copying 4-6 GB of data.


dmesg:

re0: <RealTek 8168/8111 B/C/CP/D/DP/E/F/G PCIe Gigabit Ethernet> port 0xe000-0xe0ff mem 0x91304000-0x91304fff,0x91300000-0x91303fff irq 18 at device 0.0 on pci3
re0: Using 1 MSI-X message
re0: Chip rev. 0x4c000000
re0: MAC rev. 0x00000000
miibus0: <MII bus> on re0
re0: Ethernet address: xxxxxx

devinfo -rv:

nexus0
  apic0
      I/O memory addresses:
          0xfec00000-0xfec0001f
  ram0
      I/O memory addresses:
          0x0-0x9d7ff
          0x100000-0x5f10efff
          0x5f18a000-0x5f28dfff
          0x5fa0c000-0x5fbd9fff
          0x5ffc6000-0x5fffffff
          0x100000000-0x27fffffff
  acpi0
      Interrupt request lines:
          0x9
      I/O ports:
          0x4e-0x4f
          0x61
          0x63
          0x65
          0x67
          0x70
          0x80-0x8f
          0x92
          0xb2-0xb3
          0x280-0x28f
          0x290-0x29f
          0x2a0-0x2af
          0x2b0-0x2bf
          0x400-0x47f
          0x500-0x5fe
          0x680-0x69f
      I/O memory addresses:
          0xe0000000-0xefffffff
          0xfea00000-0xfeafffff
          0xfed01000-0xfed01fff
          0xfed03000-0xfed03fff
          0xfed06000-0xfed06fff
          0xfed08000-0xfed09fff
          0xfed1c000-0xfed1cfff
          0xfed80000-0xfedbffff
          0xfee00000-0xfeefffff
    cpu0 pnpinfo _HID=none _UID=0 at handle=\_PR_.CPU0
        ACPI I/O ports:
            0x416
            0x417
      acpi_perf0
      acpi_throttle0
      est0
      p4tcc0
      coretemp0
      cpufreq0
    cpu1 pnpinfo _HID=none _UID=0 at handle=\_PR_.CPU1
        ACPI I/O ports:
            0x416
            0x417
      acpi_perf1
      acpi_throttle1
      est1
      p4tcc1
      coretemp1
      cpufreq1
    cpu2 pnpinfo _HID=none _UID=0 at handle=\_PR_.CPU2
        ACPI I/O ports:
            0x416
            0x417
      acpi_perf2
      acpi_throttle2
      est2
      p4tcc2
      coretemp2
      cpufreq2
    cpu3 pnpinfo _HID=none _UID=0 at handle=\_PR_.CPU3
        ACPI I/O ports:
            0x416
            0x417
      acpi_perf3
      acpi_throttle3
      est3
      p4tcc3
      coretemp3
      cpufreq3
    atrtc0 pnpinfo _HID=PNP0B00 _UID=0 at handle=\_SB_.RTC0
        Interrupt request lines:
            0x8
    hpet0 pnpinfo _HID=PNP0103 _UID=0 at handle=\_SB_.HPET
        Interrupt request lines:
            0x14
        I/O memory addresses:
            0xfed00000-0xfed003ff
    pcib0 pnpinfo _HID=PNP0A08 _UID=0 at handle=\_SB_.PCI0
        I/O ports:
            0xcf8-0xcff
      pci0
        hostb0 pnpinfo vendor=0x8086 device=0x2280 subvendor=0x1849 subdevice=0x22b1 class=0x060000 at slot=0 function=0 handle=\_SB_.PCI0.NFC2
        vgapci0 pnpinfo vendor=0x8086 device=0x22b1 subvendor=0x1849 subdevice=0x22b1 class=0x030000 at slot=2 function=0 handle=\_SB_.PCI0.GFX0
            I/O ports:
                0xf000-0xf03f
            I/O memory addresses:
                0x80000000-0x8fffffff
                0x90000000-0x90ffffff
          drm0
          drmn0
        ahci0 pnpinfo vendor=0x8086 device=0x22a3 subvendor=0x1849 subdevice=0x22a3 class=0x010601 at slot=19 function=0 handle=\_SB_.PCI0.SATA
            Interrupt request lines:
                0x100
            I/O ports:
                0xf060-0xf07f
            I/O memory addresses:
                0x91415000-0x914157ff
          ahcich0 at channel=0
              I/O memory addresses:
                  0x91415100-0x9141517f
          ahcich1 at channel=1
              I/O memory addresses:
                  0x91415180-0x914151ff
        xhci0 pnpinfo vendor=0x8086 device=0x22b5 subvendor=0x1849 subdevice=0x22b5 class=0x0c0330 at slot=20 function=0 handle=\_SB_.PCI0.XHC1
            Interrupt request lines:
                0x101
            I/O memory addresses:
                0x91400000-0x9140ffff
          usbus0
            uhub0
              uhub1 pnpinfo vendor=0x174c product=0x2074 devclass=0x09 devsubclass=0x00 sernum="" release=0x0100 mode=host intclass=0x09 intsubclass=0x00 i at bus=0 hubaddr=1 port=1 devaddr=2 interface=0
              uhub2 pnpinfo vendor=0x05e3 product=0x0608 devclass=0x09 devsubclass=0x00 sernum="" release=0x8831 mode=host intclass=0x09 intsubclass=0x00 i at bus=0 hubaddr=1 port=5 devaddr=3 interface=0
              uhub3 pnpinfo vendor=0x174c product=0x3074 devclass=0x09 devsubclass=0x00 sernum="" release=0x0100 mode=host intclass=0x09 intsubclass=0x00 i at bus=0 hubaddr=1 port=8 devaddr=4 interface=0
        unknown pnpinfo vendor=0x8086 device=0x2298 subvendor=0x1849 subdevice=0x2298 class=0x108000 at slot=26 function=0 handle=\_SB_.PCI0.SEC0
            I/O memory addresses:
                0x91000000-0x910fffff
                0x91100000-0x911fffff
        hdac0 pnpinfo vendor=0x8086 device=0x2284 subvendor=0x1849 subdevice=0xc892 class=0x040300 at slot=27 function=0 handle=\_SB_.PCI0.HDEF
            Interrupt request lines:
                0x102
            I/O memory addresses:
                0x91410000-0x91413fff
          hdacc0 pnpinfo vendor=0x10ec device=0x0892 revision=0x03 stepping=0x02 at cad=0
            hdaa0 pnpinfo type=0x01 subsystem=0x1849c892 at nid=1
              pcm0 at nid=20,22,21,24,26
              pcm1 at nid=27,25
              pcm2 at nid=30
          hdacc1 pnpinfo vendor=0x8086 device=0x2883 revision=0x00 stepping=0x00 at cad=2
            hdaa1 pnpinfo type=0x01 subsystem=0x80860101 at nid=1
              pcm3 at nid=5
              pcm4 at nid=6
              pcm5 at nid=7
        pcib1 pnpinfo vendor=0x8086 device=0x22c8 subvendor=0x1849 subdevice=0x22c8 class=0x060400 at slot=28 function=0 handle=\_SB_.PCI0.RP01
          pci1
        pcib2 pnpinfo vendor=0x8086 device=0x22ca subvendor=0x1849 subdevice=0x22ca class=0x060400 at slot=28 function=1 handle=\_SB_.PCI0.RP02
          pci2
        pcib3 pnpinfo vendor=0x8086 device=0x22cc subvendor=0x1849 subdevice=0x22cc class=0x060400 at slot=28 function=2 handle=\_SB_.PCI0.RP03
            I/O ports:
                0xe000-0xefff
            I/O memory addresses:
                0x91300000-0x913fffff
          pci3
            re0 pnpinfo vendor=0x10ec device=0x8168 subvendor=0x1849 subdevice=0x8168 class=0x020000 at slot=0 function=0 handle=\_SB_.PCI0.RP03.D01E
                Interrupt request lines:
                    0x103
                pcib3 I/O port window:
                    0xe000-0xe0ff
                pcib3 memory window:
                    0x91300000-0x91303fff
                    0x91304000-0x91304fff
              miibus0
                rgephy0 pnpinfo oui=0xe04c model=0x0 rev=0x0 at phyno=1
        pcib4 pnpinfo vendor=0x8086 device=0x22ce subvendor=0x1849 subdevice=0x22ce class=0x060400 at slot=28 function=3 handle=\_SB_.PCI0.RP04
            I/O ports:
                0xd000-0xdfff
            I/O memory addresses:
                0x91200000-0x912fffff
          pci4
            ahci1 pnpinfo vendor=0x1b21 device=0x0612 subvendor=0x1849 subdevice=0x0612 class=0x010601 at slot=0 function=0 handle=\_SB_.PCI0.RP04.D024
                Interrupt request lines:
                    0x104
                pcib4 I/O port window:
                    0xd000-0xd01f
                    0xd020-0xd023
                    0xd030-0xd037
                    0xd040-0xd043
                    0xd050-0xd057
                pcib4 memory window:
                    0x91200000-0x912001ff
              ahcich2 at channel=0
                  I/O memory addresses:
                      2434793728-2434793855
              ahcich3 at channel=1
                  I/O memory addresses:
                      2434793856-2434793983
        isab0 pnpinfo vendor=0x8086 device=0x229c subvendor=0x1849 subdevice=0x229c class=0x060100 at slot=31 function=0 handle=\_SB_.PCI0.SBRG
          isa0
            sc0
            vga0
            atkbdc0
                I/O ports:
                    0x60
                    0x64
              atkbd0
                  Interrupt request lines:
                      0x1
              psm0
            fdc0
            ppc0
            uart1
            wbwd0
        unknown pnpinfo vendor=0x8086 device=0x2292 subvendor=0x1849 subdevice=0x2292 class=0x0c0500 at slot=31 function=3 handle=\_SB_.PCI0.SBUS
            I/O ports:
                0xf040-0xf05f
            I/O memory addresses:
                0x91414000-0x9141401f
    unknown pnpinfo _HID=PNP0C09 _UID=1 at handle=\_SB_.PCI0.SBRG.H_EC
    unknown pnpinfo _HID=PNP0C0A _UID=0 at handle=\_SB_.PCI0.SBRG.H_EC.BAT0
    unknown pnpinfo _HID=PNP0C0A _UID=1 at handle=\_SB_.PCI0.SBRG.H_EC.BAT1
    unknown pnpinfo _HID=PNP0C0A _UID=2 at handle=\_SB_.PCI0.SBRG.H_EC.BAT2
    unknown pnpinfo _HID=INT0800 _UID=0 at handle=\_SB_.PCI0.SBRG.FWHD
        I/O memory addresses:
            0xff000000-0xffffffff
    unknown pnpinfo _HID=PNP0000 _UID=0 at handle=\_SB_.PCI0.SBRG.IPIC
        I/O ports:
            0x20-0x21
            0x24-0x25
            0x28-0x29
            0x2c-0x2d
            0x30-0x31
            0x34-0x35
            0x38-0x39
            0x3c-0x3d
            0xa0-0xa1
            0xa4-0xa5
            0xa8-0xa9
            0xac-0xad
            0xb0-0xb1
            0xb4-0xb5
            0xb8-0xb9
            0xbc-0xbd
            0x4d0-0x4d1
    acpi_sysresource0 pnpinfo _HID=PNP0C02 _UID=2 at handle=\_SB_.PCI0.SBRG.LDRC
    attimer0 pnpinfo _HID=PNP0100 _UID=0 at handle=\_SB_.PCI0.SBRG.TIMR
        Interrupt request lines:
            0x0
        I/O ports:
            0x40-0x43
            0x50-0x53
    acpi_sysresource1 pnpinfo _HID=PNP0C02 _UID=0 at handle=\_SB_.PCI0.SBRG.SIO1
    unknown pnpinfo _HID=PNP0303 _UID=0 at handle=\_SB_.PCI0.SBRG.PS2K
    unknown pnpinfo _HID=PNP0F03 _UID=0 at handle=\_SB_.PCI0.SBRG.PS2M
    unknown pnpinfo _HID=PNP0C08 _UID=0 at handle=\_SB_.PCI0.SBRG.HHMD
    uart0 pnpinfo _HID=PNP0501 _UID=0 at handle=\_SB_.PCI0.SBRG.UAR1
        Interrupt request lines:
            0x4
        I/O ports:
            0x3f8-0x3ff
    acpi_sysresource2 pnpinfo _HID=PNP0C02 _UID=1 at handle=\_SB_.PCI0.SBRG.SIO2
    unknown pnpinfo _HID=PNP0501 _UID=12 at handle=\_SB_.PCI0.SBRG.UR11
    unknown pnpinfo _HID=PNP0501 _UID=13 at handle=\_SB_.PCI0.SBRG.UR12
    unknown pnpinfo _HID=PNP0501 _UID=14 at handle=\_SB_.PCI0.SBRG.UR13
    unknown pnpinfo _HID=PNP0501 _UID=15 at handle=\_SB_.PCI0.SBRG.UR14
    unknown pnpinfo _HID=80860F14 _UID=1 at handle=\_SB_.PCI0.SDHA
    unknown pnpinfo _HID=INT33BB _UID=2 at handle=\_SB_.PCI0.SDHB
    unknown pnpinfo _HID=BCM43241 _UID=0 at handle=\_SB_.PCI0.SDHB.BRCM
    unknown pnpinfo _HID=80860F14 _UID=3 at handle=\_SB_.PCI0.SDHC
    unknown pnpinfo _HID=INTL9C60 _UID=1 at handle=\_SB_.PCI0.GDM1
    unknown pnpinfo _HID=INTL9C60 _UID=2 at handle=\_SB_.PCI0.GDM3
    unknown pnpinfo _HID=80862288 _UID=1 at handle=\_SB_.PCI0.PWM1
    unknown pnpinfo _HID=80862288 _UID=2 at handle=\_SB_.PCI0.PWM2
    unknown pnpinfo _HID=8086228A _UID=1 at handle=\_SB_.PCI0.URT1
    unknown pnpinfo _HID=BCM2E1A _UID=0 at handle=\_SB_.PCI0.URT1.BTH0
    unknown pnpinfo _HID=BCM2E64 _UID=0 at handle=\_SB_.PCI0.URT1.BTH1
    unknown pnpinfo _HID=8086228A _UID=2 at handle=\_SB_.PCI0.URT2
    unknown pnpinfo _HID=BCM4752 _UID=0 at handle=\_SB_.PCI0.URT2.GPS0
    unknown pnpinfo _HID=BCM4752 _UID=0 at handle=\_SB_.PCI0.URT2.GPS1
    unknown pnpinfo _HID=8086228E _UID=1 at handle=\_SB_.PCI0.SPI1
    unknown pnpinfo _HID=AUTH2750 _UID=0 at handle=\_SB_.PCI0.SPI1.FPNT
    unknown pnpinfo _HID=8086228E _UID=2 at handle=\_SB_.PCI0.SPI2
    unknown pnpinfo _HID=8086228E _UID=3 at handle=\_SB_.PCI0.SPI3
    unknown pnpinfo _HID=NXP1002 _UID=1 at handle=\_SB_.PCI0.NFC2
    unknown pnpinfo _HID=808622C1 _UID=1 at handle=\_SB_.PCI0.I2C1
    unknown pnpinfo _HID=SMO91D0 _UID=1 at handle=\_SB_.PCI0.I2C1.SHUB
    unknown pnpinfo _HID=808622C1 _UID=2 at handle=\_SB_.PCI0.I2C2
    unknown pnpinfo _HID=10EC5670 _UID=1 at handle=\_SB_.PCI0.I2C2.RTEK
    unknown pnpinfo _HID=IMPJ0002 _UID=1 at handle=\_SB_.PCI0.I2C2.IMP2
    unknown pnpinfo _HID=IMPJ0003 _UID=1 at handle=\_SB_.PCI0.I2C2.IMP3
    unknown pnpinfo _HID=808622C1 _UID=3 at handle=\_SB_.PCI0.I2C3
    unknown pnpinfo _HID=none _UID=0 at handle=\_SB_.PCI0.I2C3.CLK0
    unknown pnpinfo _HID=INT33F7 _UID=1 at handle=\_SB_.PCI0.I2C3.CAMD
    unknown pnpinfo _HID=808622C1 _UID=4 at handle=\_SB_.PCI0.I2C4
    unknown pnpinfo _HID=none _UID=0 at handle=\_SB_.PCI0.I2C4.CLK0
    unknown pnpinfo _HID=none _UID=0 at handle=\_SB_.PCI0.I2C4.CLK1
    unknown pnpinfo _HID=INTCF1A _UID=1 at handle=\_SB_.PCI0.I2C4.CAM1
    unknown pnpinfo _HID=INT33FB _UID=1 at handle=\_SB_.PCI0.I2C4.CAM2
    unknown pnpinfo _HID=INTCF1C _UID=1 at handle=\_SB_.PCI0.I2C4.STRA
    unknown pnpinfo _HID=INT33BE _UID=1 at handle=\_SB_.PCI0.I2C4.CAM3
    unknown pnpinfo _HID=INTCF1C _UID=1 at handle=\_SB_.PCI0.I2C4.STRB
    unknown pnpinfo _HID=808622C1 _UID=5 at handle=\_SB_.PCI0.I2C5
    unknown pnpinfo _HID=MSFT0002 _UID=1 at handle=\_SB_.PCI0.I2C5.TPDC
    unknown pnpinfo _HID=808622C1 _UID=6 at handle=\_SB_.PCI0.I2C6
    unknown pnpinfo _HID=ATML7000 _UID=0 at handle=\_SB_.PCI0.I2C6.TSC0
    unknown pnpinfo _HID=ATML1000 _UID=1 at handle=\_SB_.PCI0.I2C6.TCS1
    unknown pnpinfo _HID=MSFT0002 _UID=1 at handle=\_SB_.PCI0.I2C6.TPD1
    unknown pnpinfo _HID=808622C1 _UID=7 at handle=\_SB_.PCI0.I2C7
    unknown pnpinfo _HID=NXP7471 _UID=1 at handle=\_SB_.PCI0.I2C7.NFC1
    unknown pnpinfo _HID=808622D8 _UID=0 at handle=\_SB_.PCI0.IISH
    unknown pnpinfo _HID=808622A8 _UID=1 at handle=\_SB_.PCI0.LPEA
    unknown pnpinfo _HID=ADMA22A8 _UID=1 at handle=\_SB_.PCI0.LPEA.ADMA
    unknown pnpinfo _HID=AMCR22A8 _UID=1 at handle=\_SB_.PCI0.AMCR
    unknown pnpinfo _HID=HAD022A8 _UID=1 at handle=\_SB_.PCI0.HAD0
    unknown pnpinfo _HID=808622B7 _UID=0 at handle=\_SB_.PCI0.UOTG
    acpi_sysresource3 pnpinfo _HID=PNP0C02 _UID=3 at handle=\_SB_.PCI0.SPRC
    acpi_sysresource4 pnpinfo _HID=PNP0C02 _UID=1 at handle=\_SB_.PCI0.PDRC
    pci_link0 pnpinfo _HID=PNP0C0F _UID=1 at handle=\_SB_.LNKA
    pci_link1 pnpinfo _HID=PNP0C0F _UID=2 at handle=\_SB_.LNKB
    pci_link2 pnpinfo _HID=PNP0C0F _UID=3 at handle=\_SB_.LNKC
    pci_link3 pnpinfo _HID=PNP0C0F _UID=4 at handle=\_SB_.LNKD
    pci_link4 pnpinfo _HID=PNP0C0F _UID=5 at handle=\_SB_.LNKE
    pci_link5 pnpinfo _HID=PNP0C0F _UID=6 at handle=\_SB_.LNKF
    pci_link6 pnpinfo _HID=PNP0C0F _UID=7 at handle=\_SB_.LNKG
    pci_link7 pnpinfo _HID=PNP0C0F _UID=8 at handle=\_SB_.LNKH
    unknown pnpinfo _HID=PNP0C0D _UID=0 at handle=\_SB_.LID0
    unknown pnpinfo _HID=none _UID=0 at handle=\_SB_.USBC
    acpi_button0 pnpinfo _HID=PNP0C0C _UID=0 at handle=\_SB_.PWRB
    acpi_button1 pnpinfo _HID=PNP0C0E _UID=0 at handle=\_SB_.SLPB
    unknown pnpinfo _HID=INT0002 _UID=1 at handle=\_SB_.GPED
    unknown pnpinfo _HID=INT33FF _UID=1 at handle=\_SB_.GPO0
    unknown pnpinfo _HID=INT33FF _UID=2 at handle=\_SB_.GPO1
    unknown pnpinfo _HID=INT33FF _UID=3 at handle=\_SB_.GPO2
    unknown pnpinfo _HID=INT33FF _UID=4 at handle=\_SB_.GPO3
    unknown pnpinfo _HID=INTCFD9 _UID=0 at handle=\_SB_.TBAD
    unknown pnpinfo _HID=INT33BD _UID=1 at handle=\_SB_.MBID
    unknown pnpinfo _HID=ACPI000C _UID=0 at handle=\_SB_.PAGD
    unknown pnpinfo _HID=INT3497 _UID=0 at handle=\_SB_.PIND
    unknown pnpinfo _HID=PNP0C31 _UID=1 at handle=\_SB_.TPM_
        I/O memory addresses:
            0xfed40000-0xfed44fff
    acpi_timer0 pnpinfo unknown at unknown
        ACPI I/O ports:
            0x408-0x40b
Comment 8 Pyun YongHyeon freebsd_committer 2015-11-25 06:46:56 UTC
(In reply to freebsd from comment #7)
Thanks for the info.

I see you disabled TSO.  Could you also disable TX checksum
offloading on re(4) and test again?

It seems your controller is RTL8168G.  There are a couple of
improvements for RTL8168G or later controllers in 10.2-RELEASE.
Could you try the same test on 10.2-RELEASE? I guess you can use
USB memstick without upgrading your box. (When you boot with
memstick make sure to cold-boot.)

If neither helps, could you let me know details on your network
setup and environments?  What NFS options do you use?  If you don't
use NFS can you trigger the issue using other applications like scp
or rsync?
I'm assuming here you don't use bridge(4), lagg(4), polling(4),
netmap(4), pf(4) and ipfw(4) etc.
Please also let me know whether re(4) recovers from the error after
you see watchdog timeouts.
Comment 9 freebsd 2015-11-26 19:26:55 UTC
It does recover sometimes, but after several iterations network connection just dies. Seems to be related to NFS, interesting.

Starting with a cold boot, I disabled TXCSUM, tried with a NFS copy: it times out after a few gigabytes, but recovers and continues. In general is slower than expected. Cancel after a few gigabytes.

Tried with rsync (TXCSUM still disabled), completes 300+ GB without problems.

Tried again with NFS, left it copying. Times out, recovers several times, until it doesnt recover.

I will try with 10.2-RELEASE next.

Disabling TXCSUM:

# ifconfig re0
re0: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
	options=8209b<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,VLAN_HWCSUM,WOL_MAGIC,LINKSTATE>
	ether XXXXXX
	inet6 XXXXXX%re0 prefixlen 64 scopeid 0x1 
	inet XXXXXX netmask 0xffffff00 broadcast XXXXXX 
	nd6 options=23<PERFORMNUD,ACCEPT_RTADV,AUTO_LINKLOCAL>
	media: Ethernet autoselect (1000baseT <full-duplex>)
	status: active
[root@hp ~]# ifconfig re0 -txcsum
[root@hp ~]# ifconfig re0
re0: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
	options=82099<RXCSUM,VLAN_MTU,VLAN_HWTAGGING,VLAN_HWCSUM,WOL_MAGIC,LINKSTATE>
	ether XXXXXXX
	inet6 XXXXXXX%re0 prefixlen 64 scopeid 0x1 
	inet XXXXXX netmask 0xffffff00 broadcast XXXXXX 
	nd6 options=23<PERFORMNUD,ACCEPT_RTADV,AUTO_LINKLOCAL>
	media: Ethernet autoselect (1000baseT <full-duplex>)
	status: active

Message log:


[root@hp ~]# tail -f /var/log/messages
Nov 25 22:47:42 hp kernel: Trying to mount root from zfs:zroot/ROOT/10.1-RELEASE []...
Nov 25 22:47:43 hp ntpd[748]: ntpd 4.2.4p5-a (1)
Nov 25 22:47:52 hp ntpd[749]: time reset +0.409874 s
Nov 25 22:48:17 hp kernel: re0: link state changed to DOWN
Nov 25 22:48:21 hp kernel: re0: link state changed to UP
Nov 25 22:48:21 hp devd: Executing '/etc/rc.d/dhclient quietstart re0'
Nov 25 22:48:26 hp dhclient: New IP Address (re0): XXXXXX
Nov 25 22:48:26 hp dhclient: New Subnet Mask (re0): XXXXX
Nov 25 22:48:26 hp dhclient: New Broadcast Address (re0): XXXXX
Nov 25 22:48:26 hp dhclient: New Routers (re0): XXXXX

Nov 25 22:49:32 hp rpc.statd: Invalid hostname to sm_mon: iMac.local
Nov 25 22:49:32 hp kernel: Local NSM refuses to monitor iMac.local
Nov 25 22:51:26 hp kernel: re0: watchdog timeout
Nov 25 22:51:26 hp kernel: re0: link state changed to DOWN
Nov 25 22:51:31 hp kernel: re0: link state changed to UP
Nov 25 22:51:31 hp devd: Executing '/etc/rc.d/dhclient quietstart re0'
Nov 25 22:51:31 hp dhclient: New IP Address (re0): XXXX
Nov 25 22:51:31 hp dhclient: New Subnet Mask (re0): XXXXX
Nov 25 22:51:31 hp dhclient: New Broadcast Address (re0): XXXXX
Nov 25 22:51:31 hp dhclient: New Routers (re0): XXXXX

Nov 25 23:10:55 hp kernel: re0: watchdog timeout
Nov 25 23:10:55 hp kernel: re0: link state changed to DOWN
Nov 25 23:10:59 hp kernel: re0: link state changed to UP
Nov 25 23:10:59 hp devd: Executing '/etc/rc.d/dhclient quietstart re0'
Nov 25 23:10:59 hp dhclient: New IP Address (re0): XXXX
Nov 25 23:10:59 hp dhclient: New Subnet Mask (re0): XXXX
Nov 25 23:10:59 hp dhclient: New Broadcast Address (re0): XXXX
Nov 25 23:10:59 hp dhclient: New Routers (re0): XXXX

Nov 25 23:15:46 hp pkg: pkg upgraded: 1.6.1_2 -> 1.6.2 
Nov 25 23:15:52 hp pkg: rsync-3.1.1_4 installed

Nov 25 23:16:28 hp rpc.statd: Unsolicited notification from host iMac.local
Nov 25 23:58:35 hp ntpd[749]: time reset -0.372588 s
Nov 26 00:33:17 hp ntpd[749]: time reset +0.252420 s

Nov 26 09:34:23 hp kernel: re0: watchdog timeout
Nov 26 09:34:23 hp kernel: re0: link state changed to DOWN
Nov 26 09:34:27 hp kernel: re0: link state changed to UP
Nov 26 09:34:27 hp devd: Executing '/etc/rc.d/dhclient quietstart re0'
Nov 26 09:34:27 hp dhclient: New IP Address (re0): XXXX
Nov 26 09:34:27 hp dhclient: New Subnet Mask (re0): XXXX
Nov 26 09:34:27 hp dhclient: New Broadcast Address (re0): XXXX
Nov 26 09:34:27 hp dhclient: New Routers (re0): XXXX
Nov 26 09:55:08 hp kernel: re0: watchdog timeout
Nov 26 09:55:08 hp kernel: re0: link state changed to DOWN
Nov 26 09:55:09 hp ntpd[749]: sendto(185.11.138.90) (fd=23): No route to host
Nov 26 09:55:12 hp kernel: re0: link state changed to UP
Nov 26 09:55:12 hp devd: Executing '/etc/rc.d/dhclient quietstart re0'
Nov 26 09:55:13 hp dhclient: New IP Address (re0): XXXX
Nov 26 09:55:13 hp kernel: arpresolve: can't allocate llinfo for XXXX on re0
Nov 26 09:55:13 hp dhclient: New Subnet Mask (re0): XXXX
Nov 26 09:55:13 hp dhclient: New Broadcast Address (re0): XXXX
Nov 26 09:55:13 hp dhclient: New Routers (re0): XXXX
Nov 26 10:02:44 hp kernel: re0: watchdog timeout
Nov 26 10:02:44 hp kernel: re0: link state changed to DOWN
Nov 26 10:02:48 hp kernel: re0: link state changed to UP
Nov 26 10:02:48 hp devd: Executing '/etc/rc.d/dhclient quietstart re0'
Nov 26 10:02:48 hp dhclient: New IP Address (re0): XXXX
Nov 26 10:02:48 hp dhclient: New Subnet Mask (re0): XXXX
Nov 26 10:02:48 hp dhclient: New Broadcast Address (re0): XXXX
Nov 26 10:02:48 hp dhclient: New Routers (re0): XXXX
Nov 26 10:19:29 hp kernel: re0: watchdog timeout
Nov 26 10:19:29 hp kernel: re0: link state changed to DOWN
Nov 26 10:19:33 hp kernel: re0: link state changed to UP
Nov 26 10:19:33 hp devd: Executing '/etc/rc.d/dhclient quietstart re0'
Nov 26 10:19:33 hp dhclient: New IP Address (re0): XXXX
Nov 26 10:19:33 hp dhclient: New Subnet Mask (re0): XXXX
Nov 26 10:19:33 hp dhclient: New Broadcast Address (re0): XXXX
Nov 26 10:19:33 hp dhclient: New Routers (re0): XXXX
Nov 26 10:59:49 hp kernel: re0: watchdog timeout
Nov 26 10:59:49 hp kernel: re0: link state changed to DOWN
Nov 26 10:59:53 hp kernel: re0: link state changed to UP
Nov 26 10:59:53 hp devd: Executing '/etc/rc.d/dhclient quietstart re0'
Nov 26 11:00:00 hp dhclient: New IP Address (re0): XXXX
Nov 26 11:00:00 hp kernel: arpresolve: can't allocate llinfo for XXXX on re0
Nov 26 11:00:00 hp dhclient: New Subnet Mask (re0): XXXXX
Nov 26 11:00:00 hp dhclient: New Broadcast Address (re0): XXXX
Nov 26 11:00:00 hp dhclient: New Routers (re0): XXXX
packet_write_wait: Connection to XXXX: Broken pipe
Comment 10 sasamotikomi 2016-08-01 16:31:33 UTC
Created attachment 173161 [details]
pciconf
Comment 11 sasamotikomi 2016-08-01 17:01:50 UTC
I can confirm this issue, it's easy to repeat need just send few (sometime even one) packages via network interface(update large number of just big packages, download few small files or just huge one, browse web: page with many small files or just one big etc.) but it's not related to specific card/chipset (my pciconf output in attachment) or powerd as was mentioned in https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=208205 problem related to re itself.

It's possible to temporary solved(warning: terrible decision) it just remove re from default kernel configuration when it start lag again(i.e. watchdog timeout) again just reload it(via shell script).
Comment 12 zjk 2017-09-04 13:40:30 UTC
The problem still exists in version 11.1.
Low load - "re" works fine, but large bidirectional - completely hangs the network.

Perhaps recompilation would be good - see Marc Mach:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=208205

But the original driver from Realtek is for FreeBSD versions 7 or 8.

There is also a patch, which supposedly works:
https://forums.freebsd.org/threads/55861/#post-324491

On the other hand, the advice from this thread:
https://forums.freebsd.org/threads/55306/
...they do not work at my computers.

Is there a chance to renew the topic?

zjk
Comment 13 Alex Dupre freebsd_committer 2018-02-14 22:27:20 UTC
I can just confirm the issue too and it's plague for many users. When there is high traffic the network stalls for a few seconds and the timeout appears. The only way to fix it was to install the Realtek driver from their website. The following info is taken with re drivers from Realtek (the timeout disappears because it's commented out in the code, but also the issue goes away).

# dmesg

re0: <Realtek PCIe GBE Family Controller> port 0xd000-0xd0ff mem 0xd0604000-0xd0604fff,0xd0600000-0xd0603fff irq 18 at device 0.0 on pci2
re0: Using Memory Mapping!
re0: Using 1 MSI-X message
re0: ASPM disabled
re0: version:1.93


# pciconf -lvbc

re0@pci0:3:0:0: class=0x020000 card=0xe0001458 chip=0x816810ec rev=0x0c hdr=0x00
    vendor     = 'Realtek Semiconductor Co., Ltd.'
    device     = 'RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller'
    class      = network
    subclass   = ethernet
    bar   [10] = type I/O Port, range 32, base rxd000, size 256, enabled
    bar   [18] = type Memory, range 64, base rxd0604000, size 4096, enabled
    bar   [20] = type Prefetchable Memory, range 64, base rxd0600000, size 16384, enabled
    cap 01[40] = powerspec 3  supports D0 D1 D2 D3  current D0
    cap 05[50] = MSI supports 1 message, 64 bit
    cap 10[70] = PCI-Express 2 endpoint MSI 1 max data 128(128)
                 link x1(x1) speed 2.5(2.5) ASPM disabled(L0s/L1)
    cap 11[b0] = MSI-X supports 4 messages, enabled
                 Table in map 0x20[0x0], PBA in map 0x20[0x800]
    cap 03[d0] = VPD
    ecap 0001[100] = AER 1 0 fatal 0 non-fatal 3 corrected
    ecap 0002[140] = VC 1 max VC0
    ecap 0003[160] = Serial 1 01000000684ce000
    ecap 0018[170] = LTR 1


# devinfo -rv

        pcib3 pnpinfo vendor=0x8086 device=0x0f4c subvendor=0x1458 subdevice=0x1000 class=0x060400 at slot=28 function=2 dbsf=pci0:0:28:2 handle=\_SB_.PCI0.RP03
            Interrupt request lines:
                0x105
            I/O ports:
                0xd000-0xdfff
            I/O memory addresses:
                0xd0600000-0xd06fffff
            PCI domain 0 bus numbers:
                3
          pci2
              pcib3 bus numbers:
                  3
            re0 pnpinfo vendor=0x10ec device=0x8168 subvendor=0x1458 subdevice=0xe000 class=0x020000 at slot=0 function=0 dbsf=pci0:3:0:0 handle=\_SB_.PCI0.RP03.PXSX
                Interrupt request lines:
                    0x106
                pcib3 I/O port window:
                    0xd000-0xd0ff
                pcib3 memory window:
                    0xd0600000-0xd0603fff
                    0xd0604000-0xd0604fff


 # ifconfig re0
re0: flags=8943<UP,BROADCAST,RUNNING,PROMISC,SIMPLEX,MULTICAST> metric 0 mtu 1500
        options=201b<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,WOL_MAGIC>
        ether xx:xx:xx:xx:xx:xx
        inet 192.168.0.1 netmask 0xffffff00 broadcast 192.168.0.255
        nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
        media: Ethernet autoselect (1000baseT <full-duplex>)
        status: active
Comment 14 zjk 2018-02-15 18:55:00 UTC
Alex Dupre: "The only way to fix it was to install the Realtek driver from their website. "
Oh no. It does not always work that way...

Currently, I have compiled into kernel the latest driver downloaded from the Realtek site 1.94.01:

re0: <Realtek PCIe GBE Family Controller> port 0xe000-0xe0ff mem 0x91004000-0x91004fff, 0x91000000-0x91003fff irq 20 at device 0.0 on pci2
re0: Using Memory Mapping!
re0: Using 1 MSI-X message
re0: ASPM disabled
re0: version: 1.94.01

Unfortunately, after a while, when the load is very large, the interface stops working - but without watchdog messages!

The case is confirmed by another observation. On several computers I need to use lagg.
But unfortunately - after some time, computers generate messages:
[1177339] re0: Interface stopped DISTRIBUTING, possible flapping
[1199071] re0: Interface stopped DISTRIBUTING, possible flapping

and after that, the flapp meter in lagg increases:
  lagg statistics:
                 active ports: 2
                 flapping: 4

After some time, the lagg connector freezes until it reboots.
:(

lagg0: flags=28943<UP,BROADCAST,RUNNING,PROMISC,SIMPLEX,MULTICAST,PPROMISC> metric 0 mtu 1500
        options=2018<VLAN_MTU,VLAN_HWTAGGING,WOL_MAGIC>
        ether xxxx
        inet xxxx netmask xxxx broadcast xxxx
        nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
        media: Ethernet autoselect
        status: active
        groups: lagg
        laggproto lacp lagghash l2,l3,l4
re0: flags=28943<UP,BROADCAST,RUNNING,PROMISC,SIMPLEX,MULTICAST,PPROMISC> metric 0 mtu 1500
        options=2018<VLAN_MTU,VLAN_HWTAGGING,WOL_MAGIC>
        ether xxxx
        hwaddr xxxx
        nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
        media: Ethernet 1000baseT <full-duplex>
        status: active
re1: flags=28943<UP,BROADCAST,RUNNING,PROMISC,SIMPLEX,MULTICAST,PPROMISC> metric 0 mtu 1500
        options=2018<VLAN_MTU,VLAN_HWTAGGING,WOL_MAGIC>
        ether xxxx
        hwaddr xxxx
        nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
        media: Ethernet 1000baseT <full-duplex>
        status: active
Comment 15 Alex Dupre freebsd_committer 2018-02-15 20:33:51 UTC
I see many difference between 1.93 and 1.94.01 versions. Did you try also with 1.93 and you experienced the issue as well?
Comment 16 zjk 2018-02-15 20:52:48 UTC
No - I am using 1.94 from around september/october (the driver 1.94.01 is from august 2017). Previous I used the original 11.0-RELEASE, which compared to 11.1-RELEASE - in my opinion: caused less trouble.

In any case: this may be a reasonable comment in the thread "comment 19":
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=208205
maybe it is not necessarily the fault of Realtek drivers ... Lagg with lacp should tolerate the temporary flaps and renew the connection. However, for me: it only works for a certain time, then the connection is lost (I must reboot).

But I may be wrong.
Comment 17 Alex Dupre freebsd_committer 2018-02-15 22:09:32 UTC
In case you want to try, you can download the 1.93 version from here: http://12244.wpc.azureedge.net/8012244/drivers/rtdrivers/cn/nic/0006-rtl_bsd_drv_v193.tgz
Comment 18 zjk 2018-02-20 15:53:38 UTC
I just started tests with version 1.93. I will write in two to three days: what are the results.
Comment 19 zjk 2018-02-24 15:45:48 UTC
Four days of tests.
I chose four computers, two with different mainboards (but Realtek interfaces).
Every computer with lagg / lacp.

1. Normal work. I received only one message within 4 days: "Interface stopped DISTRIBUTING, possible flapping".
Unfortunately, I do not know in which situation.

2. Jperf (server, client) - several tests (20 minutes). Explicitly no messages about problems, but there were single complete network outages on FreeBSD computers.

3. Jperf with Windows computers (including the same motherboard) - several tests (20 minutes). Explicitly no messages about problems, but there were single complete network outages on FreeBSD computers.

4. Network access (samba, moosefs): Explicitly no messages about problems, but there were single complete network outages on FreeBSD computers.

Network outages did not increase the flapp counter in lagg (?). However, they caused the computer command line to be frozen for a few seconds (during high transfers).

1.93 - certainly better than 1.94, but still difficult to accept.

zjk
Comment 20 Alex Dupre freebsd_committer 2018-02-26 09:59:20 UTC
This is a serious and annoying issue. Most cheap motherboards have Realtek network cards and this issue is forcing users to switch to other operating systems when even using the old drivers from Realtek website doesn't help. I haven't the know-how to debug and fix the issue, but I have no problems in contributing to a bounty for someone that is going to definitely fix the re driver in base. Is anyone interested in accepting the challenge?
Comment 21 Rodney W. Grimes freebsd_committer 2018-04-11 14:05:13 UTC
Put this back on a visible bug list
Comment 22 Dirk Meyer freebsd_committer 2018-04-11 15:40:17 UTC
As stated in https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=208205

The generic driver fails under load.

Replacing the card with another Realtec card did not help.

Replacing the Realtec card with an Intel card did solve all problems.
Comment 23 Arto Pekkanen 2018-05-02 15:51:46 UTC
I managed to solve this issue by disabling MSI and MSI-X. Put the following lines into /boot/loader.conf

hw.re.msi_disable="1"
hw.re.msix_disable="1"

You see, the MSI/MSI-X interrupt processing supposedly eliminates the need to perform an extra read from device register after receiving an interrupt which tells that a DMA write is finished. However, there is some kind of problem either in the driver or the chip itself in the way it handles these interrupts.

By disabling MSI and MSI-X, the driver switches to using the older interrupt filter handler, and thus probably performs and extra read from some device register to wait for the DMA transfer to memory to be ready (according to wikipedia, when using legacy interrupts this is the only way to ensure the DMA transfer wasn't buffered by the chipset etc).

So, I would suggest everybody watching this thread to try if disabling MSI and MSI-X on their system helps. Might not apply to all Realtek NICs, but on my machine this workaround is valid.
Comment 24 Alex Dupre freebsd_committer 2018-05-05 17:21:21 UTC
Disabling MSI/MSI-X was proposed as solution in the past. I've just tried again to be sure, it helps, but the issue doesn't disappear completely. With it I can successfully run the google (m-lab) speed test, but I still get a watchdog timeout and network reset as soon as I start the Ookla speed test. Fully reproducible.
Comment 25 zjk 2018-05-06 07:30:17 UTC
hw.re.msi_disable hw.re.msix_disable
I tested this solution for a few days (it already exists somewhere on the internet).
There is no visible effect (on my computers) - network is closing very quickly. 
But - maybe it depends on the network card chipset?

However, I highly recommend the analysis:
https://forums.freebsd.org/threads/10-2-release-re0-watchdog-timeout.55306/#post-337045
There are some extremely important remarks.
One important tip - this may be the result of overloading the processor. In general - a problem for low-performance processors. Or vice versa: for the "computationally demanding" chipset of the network card, and finally the "programmatically extended" driver.

Probably because the version of "built-in" driver for FreeBSD is so much "slimmed", in relation to the full version from Realtek (from the Realtek website). It may be intended to run on less-efficient processors.

But I can not fully appreciate everything from this analysis. "Watchdog timeout" messages - also occur after stopping the transmission. Processor load drops to several percent, but watchdog timeout messages still appear every few seconds.

In general - a reset is needed to restore the normal operation of the interface.

As a solution, you can use "patch" - instead of, for example, limit the connection speed to 100 Mb, you can use, for example, dummynet for flow / band management.

It is still not a solution to the problem of the driver itself.
Comment 26 Alex Dupre freebsd_committer 2018-06-29 13:15:32 UTC
After upgrading to 11.2-RELEASE the problem seems disappeared on my machine. 

Looking at dmesg the only difference is the missing of the following line at boot:

re0: turning off MSI enable bit.
Comment 27 zjk 2018-06-30 07:54:42 UTC
After upgrading several machines to 11.2 and all-night tests: nothing better, still a watchdog fault.
zjk
Comment 28 Alex Dupre freebsd_committer 2018-06-30 08:36:16 UTC
I still see a few watchdog errors in the logs, but I'm unable to trigger them voluntarily, even with very high traffic. While before it was enough to run a single speed test to drop the connection, now I can saturate the link without a watchdog timeout. The connection is quite stable now. The issue is likely not solved, but it's much harder to be triggered in my scenario.
Comment 29 zjk 2018-06-30 18:32:25 UTC
The following configuration is very promising:
- kernel 11.2-RELEASE recompiled together,
- re driver v. 1.93 (from realtek site).

Effect:
- NO (absolutely none) watchdog timeout,
- FULL speed in both directions (I will still test different situations),
- works well with lagg(!).

Now I compile realtek version 1.94 with 11.2-RELEASE - I will let you know what are the effects.

zjk
Comment 30 Alex Dupre freebsd_committer 2018-06-30 20:27:00 UTC
Surely you won't get the watchdog timeout error with the driver taken from the realtek website, it's been commented out from the source code, so it's not a real clue.

Said so, with 11.0 and 11.1 I've always used the 1.93 version without issues.
Comment 31 Igor Zabelin 2018-08-12 15:10:58 UTC
I see problems with the 1.94 or 1.95 realtek driver and 11.2-RELEASE.
Data transfer stops without messages after about a week of load.
With 11.1 there is no problem.
Comment 32 Mark Johnston freebsd_committer 2018-08-28 17:03:46 UTC
I hit this a couple of times on a NFS server running 12.0-ALPHA3 while running highly parallel buildworlds with an NFS-mounted obj dir.
Comment 33 zjk 2018-09-03 14:30:19 UTC
Created attachment 196815 [details]
System load average and usage - monitorix
Comment 34 zjk 2018-09-03 14:33:12 UTC
A. After longer tests - I must cancel the previous optimistic news. We are talking about the 11.2-RELEASE + 1.93-realtek driver:

1. Suspensions, computer stops - still occur. They are only shorter - though still cumbersome. 

See attachment above.

Generally at the beginning the interface works quickly, after some time it slows down and shows signs of loss.

2. There are still messages about the interface suspension. Because I use lagg it looks like this:
+ [20445] re1: Interface stopped DISTRIBUTING, possible flapping
+ [48114] re0: Interface stopped DISTRIBUTING, possible flapping

B. Regarding Alex's statements. This is a real problem.
Of course, the "watchdog timeout" message itself is not harmful.
The important thing is that the message in the function follows the reset and re-initialisation of the interface - this unfortunately results in the loss or partial destruction of transmitted files / frames (which unfortunately I have experienced many times).

The application of version 1.93-1.94: is therefore of such a  improvement that not only does the message disappear (commented out from function - as Alex correctly writes), but the files are not damaged during the transmission (yet to be checked!).

Version 11.2-RELEASE - for me it certainly generates hundreds of messages "watchdog timeout" - but today I do not know if it prevents damage or loss of transmitted data (to be checked). 
I see:
	/* Cancel pending I/O and free all RX/TX buffers. */
	re_stop(sc);
	/* Put controller into known state. */
	re_reset(sc);
It means: drop, loss transmitted information.

C. However, I will not agree with Alex that it is good. Perhaps it is good for a laptop, too little for the server. It is still terrible.

D. Test 11.2 + 1.94 - I have not started yet.
Comment 35 Alex Dupre freebsd_committer 2018-09-05 06:03:13 UTC
I don't think I've ever said this issue is good :-)

What I said is that in my environment when I switched to 11.2-RELEASE it was happening less frequently. With the FreeBSD driver is easy to detect it, because it prints the timeout message and resets the interface after 5 ticks, effectively interrupting any connections for a few seconds. The Realtek driver doesn't reset the interface and doesn't print the message, so a short timeout might go unnoticed.

To add new info to the thread, recently I've tried to increase the watchdog timeout of the FreeBSD driver, changing it from 5 to 50 ticks. Well, the result was that the connection interruption lasted longer, so the interface seems really stuck and the reset the only solution.

In the last months I've also tried Realtek drivers 1.94.01 and 1.95 (the one I'm currently running) and I'm not seeing differences from the 1.93, in my scenario it seems to work good enough (== I'm not able to detect any connection drop during normal usage, that doesn't mean they are not happening at all).
Comment 36 zjk 2018-09-05 14:22:21 UTC
Ok, ok Alex - I understand.

Therefore, for doubters - I added 2 posts earlier chart from monitorix.
For a 24/7 server - you can see how the link hangs (and this happens on a server that has not too heavy load...), only the reset restores a longer good response.

For problem solvers - I must add: on most computers I use lagg. Evidently this "overlay" on the driver increases the frequency of hanging (compared to computers with re without lagg). But this is a separate problem for a separate thread.
Comment 37 George 2019-07-26 17:19:47 UTC
Friends, why on a so strong and network oriented OS like FreeBSD so much time appears so annoying problem with so widespreaded network chipset?
Maybe we can crowd fund that problem? I can give my 10$.